Name:    xmlstarlet
Version: 1.6.1
Release: %mkrel 5
Summary: Command Line XML Toolkit
Group:   Text tools
License: MIT
URL: http://xmlstar.sourceforge.net/
Source0: http://downloads.sourceforge.net/xmlstar/%{name}-%{version}.tar.gz

BuildRequires: xmlto 
BuildRequires: automake 
BuildRequires: autoconf 
BuildRequires: libxslt-devel
BuildRequires: libxml2-devel >= 2.6.23
BuildRequires: docbook-style-xsl

%description
XMLStarlet is a set of command line utilities which can be used
to transform, query, validate, and edit XML documents and files
using simple set of shell commands in similar way it is done for
plain text files using UNIX grep, sed, awk, diff, patch, join, etc
commands.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static-libs \
	--with-libxml-include-prefix=%{_includedir}/libxml2
%make
pushd doc
xmlto man xmlstarlet-man.xml --skip-validation
xmlto html-nochunks xmlstarlet-ug.xml --skip-validation
./gen-doc > xmlstarlet.txt
popd

%install
%makeinstall_std
# Avoid name kludging in autotools
mv $RPM_BUILD_ROOT%{_bindir}/xml $RPM_BUILD_ROOT%{_bindir}/xmlstarlet

%files
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet-ug.html
%{_mandir}/man1/xmlstarlet.1*
%{_bindir}/xmlstarlet
%exclude  /usr/share/doc/xmlstarlet/html.css


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 1.6.1-5.mga6
+ Revision: 963626
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 tv <tv> 1.6.1-4.mga6
+ Revision: 895100
- fix build: exclude some doc

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-3.mga5
+ Revision: 739827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-2.mga5
+ Revision: 690707
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 1.6.1-1.mga5
+ Revision: 673355
- update to 1.6.1
- drop obsolete strfmt patch

* Tue Oct 22 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 541785
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tmb <tmb> 1.5.0-1.mga4
+ Revision: 496461
- update to 1.5.0

* Sat Jan 19 2013 fwang <fwang> 1.3.1-2.mga3
+ Revision: 389790
- specify libxml includedir
- cleanup sepc

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 tmb <tmb> 1.3.1-1.mga2
+ Revision: 220550
- BR docbook-style-xsl
- fix group
- clean spec
- import from fedora


* Wed Feb 15 2012 Paul W. Frields <stickster@gmail.com> - 1.3.1-2
- Fix build with configure flag

* Wed Feb 15 2012 Paul W. Frields <stickster@gmail.com> - 1.3.1-1
- Update to upstream 1.3.1 (#782066)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct  3 2011 Paul W. Frields <stickster@gmail.com> - 1.3.0-1
- Update to upstream 1.3.0

* Fri Aug 26 2011 Paul W. Frields <stickster@gmail.com> - 1.2.1-1
- Update to upstream 1.2.1

* Sun Apr 10 2011 Paul W. Frields <stickster@gmail.com> - 1.1.0-1
- Update to upstream 1.1.0

* Thu Apr 07 2011 Dan Horák <dan[at]danny.cz> - 1.0.6-2
- fix build on 64-bit big-endians

* Sat Mar 26 2011 Paul W. Frields <stickster@gmail.com> - 1.0.6-1
- Update to upstream 1.0.6
- Drop obsolete patch

* Thu Feb 17 2011 Paul W. Frields <stickster@gmail.com> - 1.0.5-1
- Update to upstream 1.0.5
- Update libxml2 requirement
- Drop unnecessary patch, naming issue fixed upstream

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 19 2011 Paul W. Frields <stickster@gmail.com> - 1.0.4-1
- Update to new upstream 1.0.4
- Drop patches for fixed upstream issues

* Fri Dec 17 2010 Paul W. Frields <stickster@gmail.com> - 1.0.3-1
- Update to new upstream 1.0.3
- Add %%check section for validation testing

* Mon Nov  1 2010 Paul W. Frields <stickster@gmail.com> - 1.0.2-1
- Update to new upstream 1.0.2

* Sun Jan 10 2010 Paul W. Frields <stickster@gmail.com> - 1.0.1-9
- Correct source URL

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Mar 21 2008 Paul W. Frields <stickster@gmail.com> - 1.0.1-6
- Rebuild to use FORTIFY_SOURCE correctly

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-5
- Autorebuild for GCC 4.3

* Sat Sep  2 2006 Paul W. Frields <stickster@gmail.com> - 1.0.1-4
- Bump release for FC6 mass rebuild

* Fri Feb 17 2006 Paul W. Frields <stickster@gmail.com> - 1.0.1-3
- FESCo mandated rebuild

* Wed Nov 23 2005 Paul W. Frields <stickster@gmail.com> - 1.0.1-2
- Minor changes per review

* Tue Nov 22 2005 Paul W. Frields <stickster@gmail.com> - 1.0.1-1.2
- Improve patching to conquer inconsistent naming

* Tue Nov 22 2005 Paul W. Frields <stickster@gmail.com> - 1.0.1-1.1
- Initial RPM version


